Page 1 of 1

Intel HD 620

Posted: Sat Feb 10, 2018 5:22 am
by russellz
Hi, I'm contemplating buying a new laptop with an i5-7200U with HD 620 graphics.

I've seen reports of problems with the HD 620 but they are all over a year old. My question is, have the problems now been fixed with the more recent kernels? I intend to install Cinnamon 18.3 dual boot with W10 and having just returned a laptop with integrated AMD graphics I don't want to be caught again!

Russell

Re: Intel HD 620

Posted: Sat Feb 10, 2018 5:45 am
by SF6
Anything from kernel 4.9 upwards is suitable for Kably Lake iGPU.

Re: Intel HD 620

Posted: Sat Feb 10, 2018 6:15 am
by russellz
Thanks!

Russell

Re: Intel HD 620

Posted: Sat Feb 10, 2018 7:08 am
by SF6
Actually some functions were implemented later (4.11), for instance some Audio Codecs like ALC299 and ALC1220 that are used on some Kaby Lake notebooks.

But you can easily install 4.10 (ships with it currently), 4.11 and 4.13 via the update manager. So no worries. Start with the standard 4.10 and if something doesn't work, try 4.11 or 4.13.

I'm running OpenSuse Leap on its 4.4 kernel on Kaby Lake which includes backports from 4.9 graphic stack. Even that works ok.

Btw, it always pays off to check Linux compatibility before buying a new laptop. Dell XPS 13 and most Thinkpads (T, X, X1 Carbon line) are know to work well! The XPS 13 9360 and 9370 even ship with Ubuntu (so called "developer edition"). If I were you, I would go for the recently released XPS 13 9370 with i7 8550U as a developer edition:
http://www.dell.com/fr-fr/shop/ordinate ... p/cnx37011

Re: Intel HD 620

Posted: Sat Feb 10, 2018 10:32 am
by russellz
That's a bit pricey for me on a pension and I need a 17" screen for CAD software. I've ordered one of these:
https://www.cdiscount.com/informatique/ ... 004:NH:CAR

Russell